Package org.apache.naming

## Class ResourceRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.AbstractRef
    - - org.apache.naming.ResourceRef

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class ResourceRef
      extends AbstractRef

  Represents a reference address to a resource.
  Author:
    Remy Maucherat
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `AUTH` | Auth address type.
    `static java.lang.String` | `DEFAULT_FACTORY` | Default factory for this reference.
    `static java.lang.String` | `DESCRIPTION` | Description address type.
    `static java.lang.String` | `SCOPE` | Scope address type.
    `static java.lang.String` | `SINGLETON` | Is this resource a singleton

    - ### Fields inherited from class javax.naming.Reference

      `addrs, classFactory, classFactoryLocation, className`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceRef​(java.lang.String resourceClass, java.lang.String description, java.lang.String scope, java.lang.String auth, boolean singleton)` | Resource Reference.
    `ResourceRef​(java.lang.String resourceClass, java.lang.String description, java.lang.String scope, java.lang.String auth, boolean singleton, java.lang.String factory, java.lang.String factoryLocation)` | Resource Reference.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getDefaultFactoryClassName()` |

    - ### Methods inherited from class org.apache.naming.AbstractRef

      `getFactoryClassName, toString`

    - ### Methods inherited from class javax.naming.Reference

      `add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FACTORY

          public static final java.lang.String DEFAULT_FACTORY

      Default factory for this reference.
      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final java.lang.String DESCRIPTION

      Description address type.
      See Also:
        Constant Field Values

    - #### SCOPE

          public static final java.lang.String SCOPE

      Scope address type.
      See Also:
        Constant Field Values

    - #### AUTH

          public static final java.lang.String AUTH

      Auth address type.
      See Also:
        Constant Field Values

    - #### SINGLETON

          public static final java.lang.String SINGLETON

      Is this resource a singleton
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceRef

          public ResourceRef​(java.lang.String resourceClass,
                             java.lang.String description,
                             java.lang.String scope,
                             java.lang.String auth,
                             boolean singleton)

      Resource Reference.
      Parameters:
        `resourceClass` - Resource class
        `description` - Description of the resource
        `scope` - Resource scope
        `auth` - Resource authentication
        `singleton` - Is this resource a singleton (every lookup should return the same instance rather than a new instance)?

    - #### ResourceRef

          public ResourceRef​(java.lang.String resourceClass,
                             java.lang.String description,
                             java.lang.String scope,
                             java.lang.String auth,
                             boolean singleton,
                             java.lang.String factory,
                             java.lang.String factoryLocation)

      Resource Reference.
      Parameters:
        `resourceClass` - Resource class
        `description` - Description of the resource
        `scope` - Resource scope
        `auth` - Resource authentication
        `singleton` - Is this resource a singleton (every lookup should return the same instance rather than a new instance)?
        `factory` - The possibly null class name of the object's factory.
        `factoryLocation` - The possibly null location from which to load the factory (e.g. URL)

  - ### Method Detail

    - #### getDefaultFactoryClassName

          protected java.lang.String getDefaultFactoryClassName()

      Specified by:
        `getDefaultFactoryClassName` in class `AbstractRef`